
QGIS Application - Bug report #20846

Shape

2018-12-19 12:08 PM - Sascha von Arx

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 28665

Description

Some Areas from the Shapefiles "Zusatzobjekte_Freie_Zone_1_Fläche" (Attachement) weren't recognized from QGIS.

The not recognized Areas apparently differs from Export to Export?!

The Test with FME Import(shape2alt) shows the same Dataset which all areas are visible.

History

#1 - 2019-01-22 01:10 PM - Sascha von Arx

- File Kanal_AW_Versickerungsbecken_Fläche.zip added

- Assignee set to Andreas Neumann

Another Shapefile where the geometry-Data is not recognized.

#2 - 2019-01-22 11:06 PM - Giovanni Manghi

- Assignee deleted (Andreas Neumann)

- Status changed from Open to Feedback

Sascha von Arx wrote:

Another Shapefile where the geometry-Data is not recognized.

can you be more specific? maybe with a screenshot comparison of areas visible in one software and that are not visible in qgis?

#3 - 2019-01-24 09:13 AM - Sascha von Arx

- File Wasser_Fremdleitung_B_Position.shp added

- File Wasser_Fremdleitung_B_Position.dbf added

- File Wasser_Fremdleitung_B_Position.shx added

- File Version.png added

- File Wasser_Fremdleitungen_B-Position.png added

- File Extensions.png added

On QGIS 3.0.3-Girona it Work's to see all Lines but on QGIS Version 3.4.2-Madeira some Lines are missing from file Wasser_Fremdleitung_B-Position. 

Look on the Pictures, "Extensions" for the installed extensions, "Version" for the installed Version and the tested file is Wasser_Fremdleitung_B-Position.
Thanks for a solution for the new Versions. ;-)

#4 - 2019-01-25 08:26 PM - Giovanni Manghi

Thanks for a solution for the new Versions. ;-)

please try with 3.4.4

#5 - 2019-01-28 01:09 PM - Sascha von Arx

- Assignee set to Giovanni Manghi

It seems to be working.

Thank you.

#6 - 2019-01-28 01:11 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

Shape-Areas-partial-not-recognized.zip 865 KB 2018-12-19 Sascha von Arx

Complete-FME-Import-.png 76.9 KB 2018-12-19 Sascha von Arx

Kanal_AW_Versickerungsbecken_Fläche.zip 3.06 KB 2019-01-22 Sascha von Arx

Extensions.png 366 KB 2019-01-24 Sascha von Arx

Wasser_Fremdleitungen_B-Position.png 386 KB 2019-01-24 Sascha von Arx

Version.png 327 KB 2019-01-24 Sascha von Arx

Wasser_Fremdleitung_B_Position.shx 580 Bytes 2019-01-24 Sascha von Arx

Wasser_Fremdleitung_B_Position.shp 14.1 KB 2019-01-24 Sascha von Arx

Wasser_Fremdleitung_B_Position.dbf 74.4 KB 2019-01-24 Sascha von Arx
